Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # ChannelConvertibleConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename SrcChannel, typename DstChannel> struct boost::gil::ChannelConvertibleConcept< SrcChannel, DstChannel > A channel is convertible to another one if the `channel_convert` algorithm is defined for the two channels.
    concept ChannelConvertibleConcept<ChannelConcept SrcChannel, ChannelValueConcept DstChannel> {
        DstChannel channel_convert(const SrcChannel&);
    };
## Public Member Functions
void | constraints ()
## Public Attributes
SrcChannel | src
DstChannel | dst
The documentation for this struct was generated from the following file: gil_concept.hpp